<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/BoostBook/Formatter.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.BoostBook.Formatter</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Formatters.html" >Formatters</a>.<a href="../BoostBook.html" >BoostBook</a>
</div><div class="class-name">class Formatter

</div><div class="links"><div class="file">File: <a href="../../../../File/Synopsis/Formatters/BoostBook.py.html" target="detail">../Synopsis/Formatters/BoostBook.py</a></div> <div class="xref"><a href="../../../../XRef/xref2.html#Synopsis.Formatters.BoostBook.Formatter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line16" ><img src="../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Formatter-inheritance" src="Formatter-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Formatter-inheritance_map" />
<map name="Formatter-inheritance_map"></map>
 <div class="doc">
   The type visitors should generate names relative to the current scope.
   The generated references however are fully scoped names
   </div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>, <span class="variable">ir</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.process" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line22" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="scope">scope</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.scope" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line40" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="push_scope">push_scope</a>(<span class="variable">self</span>, <span class="variable">newscope</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.push_scope" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line41" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="pop_scope">pop_scope</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.pop_scope" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line46" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Formatter.html#write" >write</a></span>(<span class="variable">self</span>, <span class="variable">text</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.write" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line51" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Write some text to the output stream&#44; replacing 
's with 
's and
      indents.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Formatter.html#start_entity" >start_entity</a></span>(<span class="variable">self</span>, <span class="variable">__type</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">__params</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.start_entity" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line58" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Formatter.html#end_entity" >end_entity</a></span>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../XRef/xref2.html#Synopsis.Formatters.BoostBook.Formatter.end_entity" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line67" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Formatter.html#write_entity" >write_entity</a></span>(<span class="variable">self</span>, <span class="variable">__type</span>, <span class="variable">__body</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">__params</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.write_entity" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line73" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Formatter.html#entity" >entity</a></span>(<span class="variable">self</span>, <span class="variable">__type</span>, <span class="variable">__body</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">__params</span>)  </div> <div class="xref"><a href="../../../../XRef/xref2.html#Synopsis.Formatters.BoostBook.Formatter.entity" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line85" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Formatter.html#reference" >reference</a></span>(<span class="variable">self</span>, <span class="variable">ref</span>, <span class="variable">label</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.reference" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line92" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="label">label</a>(<span class="variable">self</span>, <span class="variable">ref</span>)  </div> <div class="xref"><a href="../../../../XRef/xref2.html#Synopsis.Formatters.BoostBook.Formatter.label" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line100" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="type_label">type_label</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.type_label" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line107" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_builtin_type_id">visit_builtin_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.visit_builtin_type_id" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line110" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_unknown_type_id">visit_unknown_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.visit_unknown_type_id" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line115" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_declared_type_id">visit_declared_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.visit_declared_type_id" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line120" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_modifier_type_id">visit_modifier_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.visit_modifier_type_id" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line125" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_parametrized_type_id">visit_parametrized_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.visit_parametrized_type_id" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line131" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_type">format_type</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../XRef/xref2.html#Synopsis.Formatters.BoostBook.Formatter.format_type" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line141" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_function_type_id">visit_function_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.visit_function_type_id" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line146" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process_doc">process_doc</a>(<span class="variable">self</span>, <span class="variable">doc</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.process_doc" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line152" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_declarator">visit_declarator</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.visit_declarator" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line159" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_typedef">visit_typedef</a>(<span class="variable">self</span>, <span class="variable">typedef</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.visit_typedef" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line164" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_variable">visit_variable</a>(<span class="variable">self</span>, <span class="variable">variable</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.visit_variable" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line170" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_const">visit_const</a>(<span class="variable">self</span>, <span class="variable">const</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.visit_const" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line178" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_module">visit_module</a>(<span class="variable">self</span>, <span class="variable">module</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.visit_module" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line182" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_class">visit_class</a>(<span class="variable">self</span>, <span class="variable">class_</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.visit_class" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line192" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_inheritance">visit_inheritance</a>(<span class="variable">self</span>, <span class="variable">inheritance</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.visit_inheritance" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line208" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_parameter">visit_parameter</a>(<span class="variable">self</span>, <span class="variable">parameter</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.visit_parameter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line217" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_function">visit_function</a>(<span class="variable">self</span>, <span class="variable">function</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.visit_function" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line226" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_operation">visit_operation</a>(<span class="variable">self</span>, <span class="variable">operation</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.visit_operation" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line233" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Formatter.html#do_function" >do_function</a></span>(<span class="variable">self</span>, <span class="variable">func</span>)  </div> <div class="xref"><a href="../../../../XRef/xref2.html#Synopsis.Formatters.BoostBook.Formatter.do_function" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line251" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_enumerator">visit_enumerator</a>(<span class="variable">self</span>, <span class="variable">enumerator</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.visit_enumerator" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line271" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_enum">visit_enum</a>(<span class="variable">self</span>, <span class="variable">enum</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.visit_enum" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line275" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="write">write</a>(<span class="variable">self</span>, <span class="variable">text</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.write" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line51" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Write some text to the output stream&#44; replacing 
's with 
's and
      indents.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="start_entity">start_entity</a>(<span class="variable">self</span>, <span class="variable">__type</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">__params</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.start_entity" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line58" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Write the start of an entity&#44; ending with a newline</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="end_entity">end_entity</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../XRef/xref2.html#Synopsis.Formatters.BoostBook.Formatter.end_entity" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line67" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Write the end of an entity&#44; starting with a newline</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="write_entity">write_entity</a>(<span class="variable">self</span>, <span class="variable">__type</span>, <span class="variable">__body</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">__params</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.write_entity" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line73" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Write a single entity on one line &#40;though body may contain
      newlines&#41;</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="entity">entity</a>(<span class="variable">self</span>, <span class="variable">__type</span>, <span class="variable">__body</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">__params</span>)  </div> <div class="xref"><a href="../../../../XRef/xref2.html#Synopsis.Formatters.BoostBook.Formatter.entity" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line85" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return but do not write the text for an entity on one line</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="reference">reference</a>(<span class="variable">self</span>, <span class="variable">ref</span>, <span class="variable">label</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.BoostBook.Formatter.reference" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line92" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">reference takes two strings&#44; a reference &#40;used to look up the symbol and generated the reference&#41;&#44;
      and the label &#40;used to actually write it&#41;</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="do_function">do_function</a>(<span class="variable">self</span>, <span class="variable">func</span>)  </div> <div class="xref"><a href="../../../../XRef/xref2.html#Synopsis.Formatters.BoostBook.Formatter.do_function" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/BoostBook.py.html#line251" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Stuff common to functions and methods&#44; contructors&#44; destructors</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:56 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
